SA-MP Forums

Go Back   SA-MP Forums > SA-MP Server > Server Support

Reply
 
Thread Tools Display Modes
Old 13/02/2018, 01:12 PM   #1
Wanheda
Little Clucker
 
Join Date: Sep 2017
Posts: 18
Reputation: 1
Default Failed (/lib/libstdc++.so.6: version `GLIBCXX_3.4.20' not found - CentOS 7

Code:
Failed (/lib/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by plugins/log-plugin.so))
I am getting this error while running my server on CentOS 7. I know this error usually occurs when you use CentOS 6 (which is not supported by the plugin), but I am using CentOS 7.

Any ideas?
__________________
Wanheda is offline   Reply With Quote
Old 13/02/2018, 01:27 PM   #2
iKarim
Huge Clucker
 
iKarim's Avatar
 
Join Date: Oct 2015
Posts: 469
Reputation: 86
Default Re: Failed (/lib/libstdc++.so.6: version `GLIBCXX_3.4.20' not found - CentOS 7

The plugin was built with a newer version of gcc (glibc) which is not found in your system, I usually never use CentOS as I think it's harder to fix such issues and it's shitty (maybe not, but for me it is), however try:

Code:
yum update && yum upgrade
iKarim is offline   Reply With Quote
Old 13/02/2018, 01:31 PM   #3
Wanheda
Little Clucker
 
Join Date: Sep 2017
Posts: 18
Reputation: 1
Default Re: Failed (/lib/libstdc++.so.6: version `GLIBCXX_3.4.20' not found - CentOS 7

Quote:
Originally Posted by iKarim View Post
The plugin was built with a newer version of gcc (glibc) which is not found in your system, I usually never use CentOS as I think it's harder to fix such issues and it's shitty (maybe not, but for me it is), however try:

Code:
yum update && yum upgrade
Thanks for replying.
I already tried that, everything is up to date.
I am pretty sure I got the last version of gcc (I just got the server yesterday).
__________________
Wanheda is offline   Reply With Quote
Old 13/02/2018, 02:25 PM   #4
Sew_Sumi
Godfather
 
Join Date: Jun 2008
Posts: 5,577
Reputation: 446
Default Re: Failed (/lib/libstdc++.so.6: version `GLIBCXX_3.4.20' not found - CentOS 7

Switch to Ubuntu.... CentOS needs support that can't easily be rendered.

CentOS = You'll be stuck waiting for days.
Ubuntu = Follow the tutorials and that shit works out of the box.
Sew_Sumi is offline   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Failed (/usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by plugins/mysql.so)) NamBank Server Support 5 05/05/2017 02:01 PM
Failed (/usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found br155 Server Support 12 10/03/2017 10:58 PM
Failed (/usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by plugins/mysql.so)) Tony$$ Scripting Help 3 06/09/2015 11:45 AM
/usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by plugins/mysql.so)" Error! Krisna Server Support 5 20/10/2013 09:29 AM
"/usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by plugins/mysql.so)" Error! linuxthefish Server Support 6 27/05/2012 09:40 PM


All times are GMT. The time now is 02:49 PM.


Powered by vBulletin® Version 3.8.6
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.